Skip to main content
GET
Get feedback by receipt unique identifier

Authorizations

Authorization
string
header
required

Opaque Authorization header using the Bearer scheme. Example: "Authorization: Bearer {token}"

Query Parameters

receiptId
string
required

The receipt unique identifier to retrieve feedback for

Response

OK

Represents the response containing customer feedback details.

id
integer<int64>

The unique identifier of the feedback.

receiptId
string | null

The receipt unique identifier associated with the feedback.

memberId
string | null

The member unique identifier who provided the feedback.

chainName
string | null

The name of the chain where the feedback was given.

storeName
string | null

The name of the store where the feedback was given.

rating
integer<int32>

The rating provided in the feedback.

options
string[] | null

The selected feedback options.

message
string | null

The feedback message provided by the customer.

thankYouMessage
string | null

The thank you message sent to the customer.

state
enum<string>
Available options:
None,
Open,
Closed
modifiedDate
string<date-time>

The date and time when the feedback was last modified.

createdDate
string<date-time>

The date and time when the feedback was created.

Last modified on August 10, 2026